Subject: Re: Problems with mingw32 GCC 2.8.0 !!!
From: [email-masked] (Mikey)

28 Jan 1998 19:42:39 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jan-Jaap van der Heijden <[email-masked]>,
        [email-masked]

Well let's get cygnus to change to -windows, -dll that way
you could use

gcc (for mingw32 console)
gcc -windows (for mingw32 GUI exe's)
gcc -dll (for mingw32 console dll's)
gcc -windows -dll (for mingw32 GUI dll's)
gcc -posix (for cygwin32 console)
gcc -posix -dll (for cygwin32 dll's)

Didn't Geoff say that B19 or B20 was going
to be native win32 with a posix extension?

Anyone can do this for themselves obviously,
but it's much easier to upgrade if you can get it into the
FSF sources.

CC="gcc -posix" ./configure --options (for unix software)
( or maybe setup autoconf to do it for us where necessary)
make cc=gcc                                            (for vc++ software)

It's pretty ridiculous ask developers to maintain ~40MB of extra
compiler tools, when you can do the same thing with
a few hundred bytes extra in the specs file ;^)

The first goal of any gcc port is to be able to replace the
native compiler. (in this case nmake/cl/link/lib/rc)
Which egcs-mingw32 is already pretty close to.

I would consider mingw32 a port, as opposed to cygwin32
which is actually an emulation library, able to replace
the posix subsystem on NT and add a posix subsystem
on 9x. (with a MUCH better one ;)

Not I hasten to add that I'm taking anything away from
cygnus, without that, we wouldn't have this ;^)
	Thanks Guys!!!

On Wed, 28 Jan 1998 20:57:10 +0000 (WET), you wrote:

>On Wed, 28 Jan 1998, Mumit Khan wrote:
>
>> [email-masked] (Mikey) writes:
>> > Jan, Colin, Mumit, Geoff, and all other developers/maintainers
>> > 
>> > using -mXXX is a very BAD idea for a gcc option.
>> > 
>> > -m is reserved for processor specifications
>> 
>> That's what the docs say as well, but Kenner has the final say as 
>> FSF's GCC maintainer. 
>> 
>> JJ: did Kenner say why he wanted it this way?
>
>Kenner himself changed "-windows" to "-mwindows". This was probably for
>the sake of compatibility with cygwin32.
>
>When I couldn't talk him out of that, I argued that "-dll" should be
>renamed to "-mdll" to be consistent . BTW: I have seen *.lreg files
>around  when linking a dll, so the compiler was confused with "-dl"
>(preform a debug dump). I never bothered to make it reproducable.
>
>Most -mXXX options deal with target hardware dependant switches, and
>I agree that neither "-mwindows" nor "-mdll" is one of those.
>
> JanJaap
>
>---
>With sufficient thrust, pigs fly just fine. However, this is not
>necessarily a good idea. It is hard to be sure where they are going
>to land, and it could be dangerous sitting under them as they fly
>overhead.  -- RFC1925.
>

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".